<?php
/*-------------------------------------------------------+ 
| File: admin.php
| Last update: 21/dec/2008 
+--------------------------------------------------------+ 
| Infusion: Infusion 
| http://www.mvedesigns.eu (MvE Designs)
| http://www.codaddicts.com (MysticFire)
+--------------------------------------------------------+ 
| PHP-Fusion Content Management System 
| Copyright  2002 - 2008 Nick Jones 
| http://www.php-fusion.co.uk/ 
+--------------------------------------------------------+ 
| This program is released as free software under the 
| Affero GPL license. You can redistribute it and/or 
| modify it under the terms of this license which you 
| can read by viewing the included agpl.txt or online 
| at www.gnu.org/licenses/agpl.html. Removal of this 
| copyright header is strictly prohibited without 
| written permission from the original author(s). 
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."mm_team_panel/infusion_db.php";
include INFUSIONS."mm_team_panel/admin/version_check.class.php";

if (!checkrights("MMTI") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect(BASEDIR."index.php"); }

if (file_exists(INFUSIONS."mm_team_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."mm_team_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."mm_team_panel/locale/English.php";
}

include INFUSIONS."mm_team_panel/admin/controller.class.php";
$objMessage->setStatus(@$_GET['status']);
echo $objMessage->display();

if (!isset($_GET['pagenum']) || !isnum($_GET['pagenum'])) $_GET['pagenum'] = 1;

// Work out which tab is the active default
if ($page1) { $default = 1; }
elseif ($page2) { $default = 2; }

// Ensure the admin is allowed to access the selected page
$pageon = true;
if ($_GET['pagenum'] == 1 && !$page1) $pageon = false;
if ($_GET['pagenum'] == 2 && !$page2) $pageon = false;
if ($pageon == false) { redirect(FUSION_SELF.$aidlink."&pagenum=$default"); }

/* START Check for new version ONLY PHP5 AND HIGHER */
if(phpversion() >= 5) {
   $objVersion = new version_check;
   $objVersion->setXml_url("http://www.mvedesigns.eu/mveproducts/versions/mm_team_panel.xml");
      $xml = $objVersion->load_xml();
   if($xml)
   {
      $objVersion->setInf_version($xml->mm_team_panel[0]["version"]);
      $objVersion->setInf_changelog($xml->mm_team_panel[0]["changelog"]);
      $objVersion->setInf_download_url($xml->mm_team_panel[0]["download_url"]);
      $objVersion->setMsg_caption($locale['MMTI_003']);
      $objVersion->setMsg_download($locale['MMTI_456'],$locale['MMTI_458']);
      $objVersion->setMsg_changelog($locale['MMTI_457']);   
      $objVersion->check_version($locale['MMTI_version']);
   }
}
/* END Check for new version */

// Display admin panels & pages
opentable($locale['MMTI_title']." v".$locale['MMTI_version']." &#45".$locale['MMTI_admin1']);
echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
if ($page1) {
	echo "<td align='center' width='25%' class='".($_GET['pagenum'] == 1 ? "tbl1" : "tbl2")."'><span class='small'>\n";
	echo ($_GET['pagenum'] == 1 ? "<strong>".$locale['MMTI_001']."</strong>" : "<a href='".FUSION_SELF.$aidlink."&amp;pagenum=1'>".$locale['MMTI_001']."</a>")."</span></td>\n";	
} else {
	echo "<td align='center' width='25%' class='".($_GET['pagenum'] == 1 ? "tbl1" : "tbl2")."'><span class='small' style='text-decoration:line-through'>\n";
	echo $locale['MMTI_001']."</span></td>\n";
}
if ($page2) {
	echo "<td align='center' width='25%' class='".($_GET['pagenum'] == 2 ? "tbl1" : "tbl2")."'><span class='small'>\n";
	echo ($_GET['pagenum'] == 2 ? "<strong>".$locale['MMTI_002']."</strong>" : "<a href='".FUSION_SELF.$aidlink."&amp;pagenum=2'>".$locale['MMTI_002']."</a>")."</span></td>\n";
} else {
	echo "<td align='center' width='25%' class='".($_GET['pagenum'] == 2 ? "tbl1" : "tbl2")."'><span class='small' style='text-decoration:line-through'>\n";
	echo $locale['MMTI_002']."</span></td>\n";
}
if((isset($_GET['pagenum']) && $_GET['pagenum'] == "1")) {
  echo "</tr>\n<tr>\n<td colspan='2' class='tbl1'>\n";
  if($objTeam->teamAssigned()) {
  $team_id = $objTeam->getGroup_id();
		echo "<br><table cellpadding='0' cellspacing='1' width='450' class='tbl-border center'>\n";
		$rows = $objTeam->countMembers($team_id);
		if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
		if ($rows) {
			$i = 0;
			$result = dbquery("SELECT user_id,user_name,user_level FROM ".DB_USERS." WHERE user_groups REGEXP('^\\\.{$team_id}$|\\\.{$team_id}\\\.|\\\.{$team_id}$') ORDER BY user_level DESC, user_name LIMIT {$_GET['rowstart']},".$objSettings->getItems_pp()."");
			echo "<tr>\n<td class='tbl2'><strong>".$locale['MMTI_300']."</strong>&nbsp;[<a href='".ADMIN."user_groups.php".$aidlink."&amp;group_id=".$team_id."'>".$locale['MMTI_103']."</a>]</td>\n";
			echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['MMTI_306']."</strong></td>\n";
			echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['MMTI_302']."</strong></td>\n</tr>\n";
			while ($data = dbarray($result)) {
				$row_color = ($i % 2 == 0 ? "tbl1" : "tbl2"); $i++;
        echo "<tr>\n";
        echo "<td class='$row_color'>".$data['user_name']."</td>\n";
        echo "<td align='center' width='1%' class='$row_color' style='white-space:nowrap'><img border='0' src='".$objMembers->getMemberStatus($data['user_id'])."'></td>\n";
    	  echo "<td class='".$row_color."' align='center' width='5%' style='white-space:nowrap'>";
        echo "<a href='".FUSION_SELF.$aidlink."&amp;rowstart=".$_GET['rowstart']."&amp;action=edit&amp;id=".$data['user_id']."'><img border='0' src='".INFUSIONS."mm_team_panel/images/edit.png' alt='".$locale['MMTI_104']."'></a>&nbsp;";
    		echo "<a href='".FUSION_SELF.$aidlink."&amp;rowstart=".$_GET['rowstart']."&amp;action=deactivate&amp;id=".$data['user_id']."' onclick='return deactivate_memberinfo();'><img border='0' src='".INFUSIONS."mm_team_panel/images/delete.png' alt='".$locale['MMTI_117']."'></a>";
        echo "</td>";            
        echo "</tr>";         
			}
		} else {
			echo "<tr>\n<td align='center' colspan='2' class='tbl1'>".$locale['MMTI_429']." [<a href='".ADMIN."user_groups.php".$aidlink."&amp;group_id=".$team_id."'>".$locale['MMTI_103']."</a>]</td>\n</tr>\n";
		}
		echo "</table>\n";
		if ($rows > $objSettings->getItems_pp()) { echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($_GET['rowstart'],$objSettings->getItems_pp(),$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n"; }  
  } else echo "<tr>\n<td align='center' colspan='2' class='tbl1'>".$locale['MMTI_429']."</td>\n</tr>\n";
  echo "</td></tr>\n";
  echo "</tr>\n</table>\n";
  closetable();
  if((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['id']) && isnum($_GET['id']))) {
    require_once INCLUDES."bbcode_include.php";
    $team_member = $objMembers->userExists($_GET['id']);
    if($team_member != false) {
      $objMembers->loadMemberByID($_GET['id']);  
      opentable($locale['MMTI_001'].$locale['MMTI_007']);
      	echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."&id=".$_GET['id']."&rowstart=".$_GET['rowstart']."'>\n";
      	echo "<table cellpadding='0' cellspacing='1' width='400' class='tbl-border center'>\n<tr>\n";
      	echo "<td class='tbl2' colspan='2'><font size='2'><b>".$team_member."</b></td>\n";
      	echo "</tr>\n<tr>\n";
        echo "<td class='tbl1' width='5%'>".$objMembers->getTm_image()."</td>\n";
        echo "<td class='tbl1' valign='top'><fieldset><legend><strong>
          ".$locale['MMTI_305']."</strong></legend><strong><br>&nbsp;
          ".$locale['MMTI_301']." ".$locale['MMTI_300']."</strong>:<br>&nbsp; ".$objMembers->getTm_status($admin=true)."<br><br></fieldset>
          </td>\n";
        echo "</tr>\n<tr>\n";
        echo "<td class='tbl2'colspan='2' align='center'><font size='2'><b>".$locale['MMTI_304']."</b></td>\n";
        echo "<input type='hidden' name='tm_user_id' class='textbox' value='".$objMembers->getTm_user_id()."'>";
        echo "</tr>\n<tr>\n";      	
      	echo "<td align='center' class='tbl1' colspan='2'><textarea name='tm_info' cols='70' rows='7' class='textbox' style='width:98%'>".$objMembers->getTm_info()."</textarea><br />\n";
      	echo display_bbcodes("360px", "tm_info")."</td>\n";
        echo "</tr>\n<tr>\n";
        echo "<td colspan='2' class='tbl1' align='center'><input type='submit' name='save_member' value='".$locale['MMTI_105']."' class='button'></td>";
    	  echo "</tr>\n</table>\n</form>\n";
    }
    closetable();  
  }
} elseif((isset($_GET['pagenum']) && $_GET['pagenum'] == "2")) {
  echo "</tr>\n<tr>\n<td colspan='2' class='tbl1'>\n";
    echo "<form name='updsettings' method='POST' action='".FUSION_SELF.$aidlink."'>\n";
    echo "<table cellpadding='0' cellspacing='0' width='450' class='center'>\n";
    echo " <tr>\n";
    echo "  <td align='right' class='tbl'>".$locale['MMTI_200'].": </td>\n";
    echo "  <td class='tbl'> ".$objTeam->getTeam()." </td>\n";
    echo " </tr>\n";
    echo " <tr>\n";
    echo "  <td align='right' class='tbl'>".$locale['MMTI_201'].": </td>\n";
    echo "  <td class='tbl'> <input type='text' name='image_w' class='textbox' size='5' value='".$objSettings->getImage_w()."'>  </td>\n";
    echo " </tr>\n";
    echo " <tr>\n";
    echo "  <td align='right' class='tbl'>".$locale['MMTI_202'].": </td>\n";
    echo "  <td class='tbl'> <input type='text' name='image_h' class='textbox' size='5' value='".$objSettings->getImage_h()."'>  </td>\n";
    echo " </tr>\n";
    echo " <tr>\n";
    echo "  <td align='right' class='tbl'>".$locale['MMTI_203'].": </td>\n";
    echo "  <td class='tbl'> <input type='text' name='image_max_s' class='textbox' size='10' value='".$objSettings->getImage_max_s()."'>  </td>\n";
    echo " </tr>\n";
    echo " <tr>\n";
    echo "  <td align='right' class='tbl'>".$locale['MMTI_205'].": </td>\n";
    echo "  <td class='tbl'> <input type='text' name='items_pp' class='textbox' size='5' value='".$objSettings->getItems_pp()."'>  </td>\n";
    echo " </tr>\n";    
    echo " <tr>\n";
    echo "  <td colspan='2' class='tbl' align='center'><input type='submit' name='save_settings' value='".$locale['MMTI_107']."' class='button'></td>\n";
    echo " </tr>\n";
    echo "</table>\n</form>\n";
  echo "</td></tr>\n";
  echo "</tr>\n</table>\n";
  closetable();  
}

if (isset($_POST['save_settings'])) {
  $image_w = ((isset($_POST['image_w'])) && (isnum($_POST['image_w'])) ? $_POST['image_w'] : "150");
  $image_h = ((isset($_POST['image_h'])) && (isnum($_POST['image_h'])) ? $_POST['image_h'] : "150");
  $image_max_s = ((isset($_POST['image_max_s'])) && (isnum($_POST['image_max_s'])) ? $_POST['image_max_s'] : "150000");
  $items_pp = ((isset($_POST['items_pp'])) && (isnum($_POST['items_pp'])) ? $_POST['items_pp'] : "5");
  if($objSettings->updateSettings($image_w,$image_h,$image_max_s,$items_pp)){
    redirect(FUSION_SELF.$aidlink."&amp;pagenum=2&amp;status=tset");
  } else redirect(FUSION_SELF.$aidlink."&amp;pagenum=2&amp;status=tnset");  
} elseif ((isset($_POST['do_assign'])) && (isset($_POST['assign_team']) && isnum($_POST['assign_team']))) {
  if($objTeam->setTeam($_POST['assign_team'])){
    redirect(FUSION_SELF.$aidlink."&amp;pagenum=2&amp;status=tass");
  } else redirect(FUSION_SELF.$aidlink."&amp;pagenum=2&amp;status=tnass");
} elseif ((isset($_GET['action']) && $_GET['action'] == "assign")) {
  opentable($locale['MMTI_admin1'].$locale['MMTI_004']);
  if(!$objTeam->teamAssigned()) {
  	echo "<form name='assignform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
  	echo "<div style='text-align:center'>\n<select name='assign_team' class='textbox'>\n".$objTeam->selTeams()."</select>\n";
  	echo "<input type='submit' name='do_assign' value='".$locale['MMTI_105']."' class='button'>";
  	echo "</div>\n</form>\n";  
  } else redirect(FUSION_SELF.$aidlink);
	closetable();
} elseif((isset($_GET['action']) && $_GET['action'] == "create")) {
  opentable($locale['MMTI_admin1'].$locale['MMTI_005']);
  	echo "<form name='addteam' method='post' action='".FUSION_SELF.$aidlink."'>\n";
  	echo "<table cellpadding='0' cellspacing='0' class='center'>\n";
  	echo "<tr>\n<td class='tbl'>".$locale['MMTI_200']."</td>\n";
  	echo "<td class='tbl'><input type='text' name='group_name' class='textbox' style='width:200px' /></td>\n";
  	echo "</tr>\n<tr>\n<td class='tbl'>".$locale['MMTI_204']."</td>\n";
  	echo "<td class='tbl'><input type='text' name='group_description' class='textbox' style='width:200px' /></td>\n";
  	echo "</tr>\n<tr>\n<td align='center' colspan='2' class='tbl'><br />\n";
  	echo "<input type='submit' name='save_team' value='".$locale['MMTI_105']."' class='button' /></td>\n";
  	echo "</tr>\n</table>\n</form>";  
  closetable();
} elseif (isset($_POST['save_team'])) {
  $blnError=false;
 	$team_name = ((isset($_POST['group_name'])) && (!empty($_POST['group_name']))) ? stripinput($_POST['group_name']) : $blnError=true;
 	$team_description = ((isset($_POST['group_description'])) && (!empty($_POST['group_description']))) ? stripinput($_POST['group_description']) : $blnError=true;
  if(!$blnError) {
    if($objTeam->addTeam($team_name,$team_description)){  
      redirect(FUSION_SELF.$aidlink."&amp;pagenum=2&amp;status=tadd&action=assign");
    } else redirect(FUSION_SELF.$aidlink."&amp;pagenum=2&amp;status=tnadd");  
  } else redirect(FUSION_SELF.$aidlink."&amp;pagenum=2&amp;status=tnadd");
} elseif ((isset($_POST['save_member'])) && (isset($_GET['id']) && isnum($_GET['id']))) {
    $user_exists = $objMembers->userExists($_GET['id']);
    if($user_exists != false) {
      $team_member = $objMembers->memberExists($_GET['id']);
      $tm_info = stripinput(censorwords($_POST['tm_info']));
      if($team_member != false) {
        if($objMembers->updateMember($tm_info,$_GET['id'])){
          redirect(FUSION_SELF.$aidlink."&amp;rowstart=".$_GET['rowstart']."&amp;status=mupd");
        } else redirect(FUSION_SELF.$aidlink."&amp;rowstart=".$_GET['rowstart']."&amp;status=mnupd");
      } else {
        if($objMembers->insertMember($tm_info,$_GET['id'])){
          redirect(FUSION_SELF.$aidlink."&amp;rowstart=".$_GET['rowstart']."&amp;status=mupd");
        } else redirect(FUSION_SELF.$aidlink."&amp;rowstart=".$_GET['rowstart']."&amp;status=mnupd");    
      }     
    } 
} elseif ((isset($_GET['action']) && $_GET['action'] == "drop")) {
  if($objMemberImage->dropPictures())
  {
    if($objTeam->dropTeam()){
      redirect(FUSION_SELF.$aidlink."&amp;pagenum=2&amp;status=tdro");
    } else redirect(FUSION_SELF.$aidlink."&amp;pagenum=2&amp;status=tndro");    
  } else redirect(FUSION_SELF.$aidlink."&amp;pagenum=2&amp;status=pndro");
} elseif ((isset($_GET['action']) && $_GET['action'] == "enable") && (isset($_GET['id']) && isnum($_GET['id']))) {
  if($objMembers->setMemberStatus(ST_ENABLE,$_GET['id'])){
    redirect(FUSION_SELF.$aidlink."&amp;rowstart=".$_GET['rowstart']."&amp;status=mena");
  } else redirect(FUSION_SELF.$aidlink."&amp;rowstart=".$_GET['rowstart']."&amp;status=mnena");
} elseif ((isset($_GET['action']) && $_GET['action'] == "activate") && (isset($_GET['id']) && isnum($_GET['id']))) {
  if($objMembers->setMemberStatus(ST_ACTIVATE,$_GET['id'])){
    redirect(FUSION_SELF.$aidlink."&amp;rowstart=".$_GET['rowstart']."&amp;status=mact");
  } else redirect(FUSION_SELF.$aidlink."&amp;rowstart=".$_GET['rowstart']."&amp;status=mnact");
} elseif ((isset($_GET['action']) && $_GET['action'] == "disable") && (isset($_GET['id']) && isnum($_GET['id']))) {
  if($objMembers->setMemberStatus(ST_DISABLE,$_GET['id'])){
    redirect(FUSION_SELF.$aidlink."&amp;rowstart=".$_GET['rowstart']."&amp;status=mdis");
  } else redirect(FUSION_SELF.$aidlink."&amp;rowstart=".$_GET['rowstart']."&amp;status=mndis");
} elseif ((isset($_GET['action']) && $_GET['action'] == "deactivate") && (isset($_GET['id']) && isnum($_GET['id']))) {
  if($objMembers->setMemberStatus(ST_DEACTIVATE,$_GET['id'])){
    redirect(FUSION_SELF.$aidlink."&amp;rowstart=".$_GET['rowstart']."&amp;status=mdea");
  } else redirect(FUSION_SELF.$aidlink."&amp;rowstart=".$_GET['rowstart']."&amp;status=mndea");
}

echo "<script type='text/javascript'>";
  echo "function drop_team() {";
    echo "return confirm('".$locale['MMTI_430']."');";
  echo "}";
  echo "function enable_memberinfo() {";
    echo "return confirm('".$locale['MMTI_431']."');";
  echo "}";
  echo "function activate_memberinfo() {";
    echo "return confirm('".$locale['MMTI_432']."');";
  echo "}";
  echo "function disable_memberinfo() {";
    echo "return confirm('".$locale['MMTI_434']."');";
  echo "}";
  echo "function deactivate_memberinfo() {";
    echo "return confirm('".$locale['MMTI_433']."');";
  echo "}";        
echo "</script>\n";
  
require_once THEMES."templates/footer.php";
?>