<?php 
/*-------------------------------------------------------+ 
| Class: mmti_controller 
| File: controller.class.php 
| Last update: 30/09/2008 
+--------------------------------------------------------+ 
| Infusion: MM Team Infusion
| Authors: Michel van Es (MvE Designs), MysticFire
| http://www.mvedesigns.eu (MvE Designs)
| http://www.codaddicts.com (MysticFire)
+--------------------------------------------------------+ 
| PHP-Fusion Content Management System 
| Copyright  2002 - 2008 Nick Jones 
| http://www.php-fusion.co.uk/ 
+--------------------------------------------------------+ 
| This program is released as free software under the 
| Affero GPL license. You can redistribute it and/or 
| modify it under the terms of this license which you 
| can read by viewing the included agpl.txt or online 
| at www.gnu.org/licenses/agpl.html. Removal of this 
| copyright header is strictly prohibited without 
| written permission from the original author(s). 
+--------------------------------------------------------*/
include "settings.class.php";
include "members.class.php";
include "team.class.php";
include "image.class.php";
include "status.class.php";

class mmti_controller
{ 
    // Variabele(n) 
    var $class_name;

    /**
    * Functie: getClass
    * Doel: Ophalen waarde van variabele $class
    **/
    function getClass_name()
    {
        return "mmti_".$this->class_name;
    }

    /**
    * Functie: setClass
    * Doel: Toewijzen waarde aan variabele $class
    **/
    function setClass_name($value)
    {
        $this->class_name = $value;
    }

    // Dit is de constructor
    function mmti_controller()
    {
        $this->__construct();
        register_shutdown_function(array($this,"__destruct"));
    }

    // Initialiseer hier alle variabelen
    function __construct()
    {
        $this->setClass_name("");
    }

    // Dit is de destructor
    function __destruct()
    {
        $this->setClass_name("");
    }
    /**
    * Functie: loadClass
    * Doel: Laden van een klasse 
    **/
    function loadClass($class_name)
    {
        $this->setClass_name($class_name);
        $objClass = $this->getClass_name();
        return new $objClass; 
    }

}
    $objController = new mmti_controller;
    $objSettings = $objController->loadClass("settings");
    $objMembers = $objController->loadClass("users");
    $objTeam = $objController->loadClass("team");
    $objMemberImage = $objController->loadClass("image");
    $objMessage = $objController->loadClass("status_msg");
    

?> 