<?php 
/*-------------------------------------------------------+ 
| Class: mmti_settings
| File: settings.class.php
| Last update: 28/09/2008 
+--------------------------------------------------------+ 
| Infusion: MM Team Infusion
| Authors: Michel van Es (MvE Designs), MysticFire
| http://www.mvedesigns.eu (MvE Designs)
| http://www.codaddicts.com (MysticFire)
+--------------------------------------------------------+ 
| PHP-Fusion Content Management System 
| Copyright  2002 - 2008 Nick Jones 
| http://www.php-fusion.co.uk/ 
+--------------------------------------------------------+ 
| This program is released as free software under the 
| Affero GPL license. You can redistribute it and/or 
| modify it under the terms of this license which you 
| can read by viewing the included agpl.txt or online 
| at www.gnu.org/licenses/agpl.html. Removal of this 
| copyright header is strictly prohibited without 
| written permission from the original author(s). 
+--------------------------------------------------------*/
class mmti_settings
{ 
    // Variabele(n) 
    var $group_id;
    var $image_w;
    var $image_h;
    var $image_max_s;
    var $items_pp;

    /**
    * Functie: getGroup_id
    * Doel: Ophalen waarde van variabele $group_id
    **/
    function getGroup_id()
    {
        return $this->group_id;
    }

    /**
    * Functie: setGroup_id
    * Doel: Toewijzen waarde aan variabele $group_id
    **/
    function setGroup_id($value)
    {
        $this->group_id = $value;
    }

    /**
    * Functie: getImage_w
    * Doel: Ophalen waarde van variabele $image_w
    **/
    function getImage_w()
    {
        return $this->image_w;
    }

    /**
    * Functie: setImage_w
    * Doel: Toewijzen waarde aan variabele $image_w
    **/
    function setImage_w($value)
    {
        $this->image_w = $value;
    }

    /**
    * Functie: getImage_h
    * Doel: Ophalen waarde van variabele $image_h
    **/
    function getImage_h()
    {
        return $this->image_h;
    }

    /**
    * Functie: setImage_h
    * Doel: Toewijzen waarde aan variabele $image_h
    **/
    function setImage_h($value)
    {
        $this->image_h = $value;
    }

    /**
    * Functie: getImage_max_s
    * Doel: Ophalen waarde van variabele $image_max_s
    **/
    function getImage_max_s()
    {
        return $this->image_max_s;
    }

    /**
    * Functie: setImage_max_s
    * Doel: Toewijzen waarde aan variabele $image_max_s
    **/
    function setImage_max_s($value)
    {
        $this->image_max_s = $value;
    }

    /**
    * Functie: getItems_pp
    * Doel: Ophalen waarde van variabele $items_pp
    **/
    function getItems_pp()
    {
        return $this->items_pp;
    }

    /**
    * Functie: setItems_pp
    * Doel: Toewijzen waarde aan variabele $items_pp
    **/
    function setItems_pp($value)
    {
        $this->items_pp = $value;
    }
    
    /**
    * Functie: updateSettings
    * Doel: Instellingen opslaan o.b.v. meegegeven parameters, boolean waarde retour
    **/
    function updateSettings($image_w,$image_h,$image_max_s,$items_pp)
    {
      if($result = dbquery("
         UPDATE ".DB_MM_TEAM_SETTINGS." 
         SET image_w='".$image_w."',image_h='".$image_h."',image_max_s='".$image_max_s."',items_pp='".$items_pp."'")) 
      { return true; } else return false;   
    }    

    // Dit is de constructor
    function mmti_settings()
    {
        $this->__construct();
        register_shutdown_function(array($this,"__destruct"));
    }

    // Initialiseer hier alle variabelen
    function __construct()
    {
        $result = dbquery("SELECT * FROM ".DB_MM_TEAM_SETTINGS);
        if (dbrows($result) != 0) { 
           $data = dbarray($result);
           $this->setGroup_id($data['group_id']);
           $this->setImage_w($data['image_w']);
           $this->setImage_h($data['image_h']);
           $this->setImage_max_s($data['image_max_s']);
           $this->setItems_pp($data['items_pp']);            	
        } else {
           $this->setGroup_id(0);
           $this->setImage_w("");
           $this->setImage_h("");
           $this->setImage_max_s("");
           $this->setItems_pp("");
        }
    }

    // Dit is de destructor
    function __destruct()
    {
        $this->setGroup_id(0);
        $this->setImage_w("");
        $this->setImage_h("");
        $this->setImage_max_s("");
        $this->setItems_pp("");
    }
}
?> 