<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: MM Team Infusion
| Authors: Michel van Es (MvE Designs), MysticFire
| http://www.mvedesigns.eu (MvE Designs)
| http://www.codaddicts.com (MysticFire)
| Last update: 20/dec/2008
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."mm_team_panel/infusion_db.php";

if (file_exists(INFUSIONS."mm_team_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."mm_team_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."mm_team_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['MMTI_title'];
$inf_description = $locale['MMTI_desc'];
$inf_version = $locale['MMTI_version'];
$inf_developer = "Michel van Es (MvE Designs) & MysticFire";
$inf_email = "michel@mvedesigns.eu";
$inf_weburl = "http://www.mvedesigns.eu";

$inf_folder = "mm_team_panel";

$inf_newtable[1] = DB_MM_TEAM_USERS." (
  tm_id mediumint(8) unsigned NOT NULL auto_increment,
  tm_user_id mediumint(8) unsigned NOT NULL DEFAULT '0',
  tm_status tinyint(1) unsigned NOT NULL default '1',
  tm_image varchar(100) NOT NULL default '',
  tm_info text NOT NULL DEFAULT '',      
  PRIMARY KEY (tm_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_MM_TEAM_SETTINGS." (
  group_id tinyint(3) unsigned NOT NULL default '0',  
  image_w smallint(4) unsigned NOT NULL default '150',
  image_h smallint(4) unsigned NOT NULL default '150',
  image_max_s int(10) unsigned NOT NULL default '150',
  items_pp tinyint(3) unsigned NOT NULL default '5'    
) TYPE=MyISAM;";


$inf_insertdbrow[1] = DB_MM_TEAM_SETTINGS." (group_id, image_w, image_h, image_max_s, items_pp) VALUES('0', '150', '150', '150','5')";

$inf_droptable[1] = DB_MM_TEAM_USERS;
$inf_droptable[2] = DB_MM_TEAM_SETTINGS;

$inf_altertable[1] = DB_MM_TEAM_USERS." MODIFY tm_user_id mediumint(8) unsigned NOT NULL DEFAULT '0'";

$inf_adminpanel[1] = array(
	"title" => $locale['MMTI_admin1'],
	"image" => "mmti.gif",
	"panel" => "admin/admin.php",
	"rights" => "MMTI"
);

$inf_sitelink[1] = array(
	"title" => $locale['MMTI_link1'],
	"url" => "mm_team.php",
	"visibility" => "0"
);

?>