<?php // Danish translation by Helmuth Mikkelsen Oct. 16. 2008
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: MM Team Infusion
| Authors: Michel van Es (MvE Designs), MysticFire
| http://www.mvedesigns.eu (MvE Designs)
| http://www.codaddicts.com (MysticFire)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// Infusion Info
$locale['MMTI_title'] = "MM Team Infusion";
$locale['MMTI_desc'] = "Manage Team Member Profiles";
$locale['MMTI_version'] = "1.0.6";
$locale['MMTI_admin1'] = "Team Admin";
$locale['MMTI_link1'] = "Team";

// Infusion (Admin) Captions
$locale['MMTI_001'] = "Team brugere";
$locale['MMTI_002'] = "Indstillinger";
$locale['MMTI_003'] = "Der er en opdatering af ".$locale['MMTI_title']." tilgngelig";
$locale['MMTI_004'] = " &#45; Tilknyt brugergruppe SOM team";
$locale['MMTI_005'] = " &#45; Opret brugergruppe SOM team";
$locale['MMTI_006'] = " &#45; Drop team";
$locale['MMTI_007'] = " &#45; Rediger team bruger profil";
$locale['MMTI_008'] = " &#45; Slet team bruger";

// System Messages
$locale['MMTI_410'] = "Team tilknyttet";
$locale['MMTI_411'] = "Team kunne ikke tilknyttes p grund af en fejl";
$locale['MMTI_412'] = "Team droppet";
$locale['MMTI_413'] = "Team kunne ikke droppes p grund af en fejl";
$locale['MMTI_414'] = "Team oprettet";
$locale['MMTI_415'] = "Team kunne ikke oprettes p grund af en fejl";
$locale['MMTI_416'] = "Team indstillinger opdateret";
$locale['MMTI_417'] = "Team indstillinger kunne ikke opdateres p grund af en fejl";
$locale['MMTI_418'] = "Profil opdateret";
$locale['MMTI_419'] = "Profil kunne ikke opdateres p grund af en fejl";
$locale['MMTI_420'] = "Profil aktiveret";
$locale['MMTI_421'] = "Profil kunne ikke aktiveres p grund af en fejl";
$locale['MMTI_422'] = "Profil aktiveret";
$locale['MMTI_423'] = "Profil kunne ikke aktiveres p grund af en fejl";
$locale['MMTI_424'] = "Profil deaktiveret";
$locale['MMTI_425'] = "Profil kunne ikke deaktiveres p grund af en fejl";
$locale['MMTI_426'] = "Profil deaktiveret";
$locale['MMTI_427'] = "Profil kunne ikke deaktiveres p grund af en fejl";
$locale['MMTI_428'] = "Profil kan hverken aktiveres eller deaktiveres da brugeren mangler i mmti_users tabellen. Venligst klik Gem for at tilfje brugeren til tabellen!";
$locale['MMTI_429'] = "Team indeholder ingen brugere eller ingen team er tilknyttet";
$locale['MMTI_430'] = "Vil du droppe dette team og slette alle team bruger profiler?";
$locale['MMTI_431'] = "Vil du aktivere profilen?";
$locale['MMTI_432'] = "Vil du aktivere profilen?";
$locale['MMTI_433'] = "Vil du deaktivere profilen?";
$locale['MMTI_434'] = "Vil du deaktivere profilen?";
$locale['MMTI_435'] = "Din profil er deaktiveret, venligst kontakt Admin";
$locale['MMTI_436'] = "Vil du slette dit billede?";
$locale['MMTI_437'] = "Der opstod et problem under sletning af billeder";
$locale['MMTI_438'] = "<div style='text-align:left'>Profil er ikke tilstede.<br>Du skal frst gemme din profil fr du kan ndre status eller uploade et billede.</div>";
// image upload - system messages
$locale['MMTI_450'] = "Ugyldigt billednavn";
$locale['MMTI_451'] = "Ugyldig filtype";
$locale['MMTI_452'] = "Ugyldig filendelse";
$locale['MMTI_453'] = "Filstrrelse overskredet";
$locale['MMTI_454'] = "Billedstrrelse overskredet";
$locale['MMTI_455'] = "Ondsindet kode fundet i billede";
$locale['MMTI_456'] = "Din nuvrende version er ikke up to date!";
$locale['MMTI_457'] = "CHANGELOG";
$locale['MMTI_458'] = "Download her v";

// Buttons/links
$locale['MMTI_100'] = "Tilknyt";
$locale['MMTI_101'] = "Opret";
$locale['MMTI_102'] = "Drop";
$locale['MMTI_103'] = "Tilfj";
$locale['MMTI_104'] = "Rediger";
$locale['MMTI_105'] = "Gem";
$locale['MMTI_106'] = "Slet";
$locale['MMTI_107'] = "Opdater";
$locale['MMTI_108'] = "Deaktiver";
$locale['MMTI_109'] = "Aktiver";
$locale['MMTI_110'] = "Ja";
$locale['MMTI_111'] = "Nej";
$locale['MMTI_112'] = "*Ikke sat*";
$locale['MMTI_113'] = "Aktiv";
$locale['MMTI_114'] = "Ikke-aktiv";
$locale['MMTI_115'] = "Deaktiveret af Admin";
$locale['MMTI_116'] = "Aktiver";
$locale['MMTI_117'] = "Deaktiver";
$locale['MMTI_118'] = "Min team profil";

// Settings
$locale['MMTI_200'] = "Teamnavn";
$locale['MMTI_201'] = "Maksimum billed bredde";
$locale['MMTI_202'] = "Maksimum billed hjde";
$locale['MMTI_203'] = "Maksimum fil strrelse (kb)";
$locale['MMTI_204'] = "Team beskrivelse";
$locale['MMTI_205'] = "Brugere per side";
$locale['MMTI_206'] = "Maksimum billed strrelse (BxH)";

//Members
$locale['MMTI_300'] = "Team bruger";
$locale['MMTI_301'] = "Profil status";
$locale['MMTI_302'] = "Valg";
$locale['MMTI_303'] = "Billede";
$locale['MMTI_304'] = "Team brugers info";
$locale['MMTI_305'] = "Admin valg";
$locale['MMTI_306'] = "Status";
$locale['MMTI_307'] = "Min "; // Profil status
$locale['MMTI_307a'] = "Mit "; // Billede
$locale['MMTI_308'] = "Info";
$locale['MMTI_309'] = "Mailadresse";
$locale['MMTI_310'] = "Hjemmeside";
$locale['MMTI_311'] = "Send privat besked";
$locale['MMTI_312'] = "User Groups";
$locale['MMTI_313'] = "Rank";

?>
