<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: MM Team Infusion
| Authors: Michel van Es (MvE Designs), MysticFire
| http://www.mvedesigns.eu (MvE Designs)
| http://www.codaddicts.com (MysticFire)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// Infusion Info
$locale['MMTI_title'] = "MM Team Infusion";
$locale['MMTI_desc'] = "Manage Team Member Profiles";
$locale['MMTI_version'] = "1.0.6";
$locale['MMTI_admin1'] = "Team Admin";
$locale['MMTI_link1'] = "Team";

// Infusion (Admin) Captions
$locale['MMTI_001'] = "Team Members";
$locale['MMTI_002'] = "Settings";
$locale['MMTI_003'] = "There is an update of ".$locale['MMTI_title']." available";
$locale['MMTI_004'] = " &#45; Assign User Group AS Team";
$locale['MMTI_005'] = " &#45; Create User Group AS Team";
$locale['MMTI_006'] = " &#45; Drop Team";
$locale['MMTI_007'] = " &#45; Edit Team Member Profile";
$locale['MMTI_008'] = " &#45; Delete Team Member";

// System Messages
$locale['MMTI_410'] = "Team Assigned";
$locale['MMTI_411'] = "Team could not be assigned due to an error";
$locale['MMTI_412'] = "Team dropped";
$locale['MMTI_413'] = "Team could not be dropped due to an error";
$locale['MMTI_414'] = "Team Created";
$locale['MMTI_415'] = "Team could not be created due to an error";
$locale['MMTI_416'] = "Team settings updated";
$locale['MMTI_417'] = "Team settings could not be updated due to an error";
$locale['MMTI_418'] = "Profile updated";
$locale['MMTI_419'] = "Profile could not be updated due to an error";
$locale['MMTI_420'] = "Profile enabled";
$locale['MMTI_421'] = "Profile could not be enabled due to an error";
$locale['MMTI_422'] = "Profile activated";
$locale['MMTI_423'] = "Profile could not be activated due to an error";
$locale['MMTI_424'] = "Profile disabled";
$locale['MMTI_425'] = "Profile could not be disabled due to an error";
$locale['MMTI_426'] = "Profile deactivated";
$locale['MMTI_427'] = "Profile could not be deactivated due to an error";
$locale['MMTI_428'] = "Profile can neither be activated nor disabled due to absence of member in mmti_users table. Please press Save to add the member to the table!";
$locale['MMTI_429'] = "Team contains no Members or no Team assigned";
$locale['MMTI_430'] = "Really drop this Team and delete all Team Member profiles?";
$locale['MMTI_431'] = "Really enable Profile?";
$locale['MMTI_432'] = "Really activate Profile?";
$locale['MMTI_433'] = "Really deactivate Profile?";
$locale['MMTI_434'] = "Really disable Profile?";
$locale['MMTI_435'] = "Your profile is disabled, please contact Admin";
$locale['MMTI_436'] = "Really delete your image?";
$locale['MMTI_437'] = "There was a problem during the deletion of the images";
$locale['MMTI_438'] = "<div style='text-align:left'>Profile is not present.<br>you need to save your profile first before you can change the status or upload an image.</div>";
// image upload - system messages
$locale['MMTI_450'] = "Invalid image name";
$locale['MMTI_451'] = "Invalid file type";
$locale['MMTI_452'] = "Invalid file extension";
$locale['MMTI_453'] = "File size exceeded";
$locale['MMTI_454'] = "Image size exceeded";
$locale['MMTI_455'] = "Malicious code found in image";
$locale['MMTI_456'] = "Your current version is not up to date!";
$locale['MMTI_457'] = "CHANGELOG";
$locale['MMTI_458'] = "Download here v";

// Buttons/links
$locale['MMTI_100'] = "Assign";
$locale['MMTI_101'] = "Create";
$locale['MMTI_102'] = "Drop";
$locale['MMTI_103'] = "Add";
$locale['MMTI_104'] = "Edit";
$locale['MMTI_105'] = "Save";
$locale['MMTI_106'] = "Delete";
$locale['MMTI_107'] = "Update";
$locale['MMTI_108'] = "Disable";
$locale['MMTI_109'] = "Enable";
$locale['MMTI_110'] = "Yes";
$locale['MMTI_111'] = "No";
$locale['MMTI_112'] = "*Not Set*";
$locale['MMTI_113'] = "Active";
$locale['MMTI_114'] = "Inactive";
$locale['MMTI_115'] = "Disabled by Admin";
$locale['MMTI_116'] = "Activate";
$locale['MMTI_117'] = "Deactivate";
$locale['MMTI_118'] = "My Team Profile";

// Settings
$locale['MMTI_200'] = "Team Name";
$locale['MMTI_201'] = "Maximum Image Width";
$locale['MMTI_202'] = "Maximum Image Height";
$locale['MMTI_203'] = "Maximum File size(kb)";
$locale['MMTI_204'] = "Team Description";
$locale['MMTI_205'] = "Members per page";
$locale['MMTI_206'] = "Maximum Image size(WxH)";

//Members
$locale['MMTI_300'] = "Team Member";
$locale['MMTI_301'] = "Profile Status";
$locale['MMTI_302'] = "Options";
$locale['MMTI_303'] = "Picture";
$locale['MMTI_304'] = "Team Member's Info";
$locale['MMTI_305'] = "Admin Options";
$locale['MMTI_306'] = "Status";
$locale['MMTI_307'] = "My ";
$locale['MMTI_307a'] = "My "; // because of a grammatical issue with some languages
$locale['MMTI_308'] = "Info";
$locale['MMTI_309'] = "Email Address";
$locale['MMTI_310'] = "Website";
$locale['MMTI_311'] = "Send private message";
$locale['MMTI_312'] = "User Groups";
$locale['MMTI_313'] = "Rank";

?>