<?php
/*-------------------------------------------------------+
| File: mm_team.php
| Last update: 20/dec/2008
+--------------------------------------------------------+
| Infusion: MM Team Infusion
| Authors: Michel van Es (MvE Designs), MysticFire
| http://www.mvedesigns.eu (MvE Designs)
| http://www.codaddicts.com (MysticFire)
+--------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include INFUSIONS."mm_team_panel/infusion_db.php";

if (file_exists(INFUSIONS."mm_team_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."mm_team_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."mm_team_panel/locale/English.php";
}

include INFUSIONS."mm_team_panel/admin/controller.class.php";
$objMessage->setStatus(@$_GET['status']);
echo $objMessage->display();

if (!isset($_GET['pagenum']) || !isnum($_GET['pagenum'])) { $_GET['pagenum'] = 1; }

$user_data = $userdata;
$isTeamMember=$objMembers->isTeamMember($objTeam->getGroup_id());

opentable($locale['MMTI_001']);
  echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
  if ($_GET['pagenum']!=1) {
  	echo "<td align='center' width='25%' class='".($_GET['pagenum'] == 1 ? "tbl1" : "tbl2")."'><span class='small'>\n";
  	echo ($_GET['pagenum'] == 1 ? "<strong>".$locale['MMTI_001']."</strong>" : "<a href='".FUSION_SELF."'>".$locale['MMTI_001']."</a>")."</span></td>\n";	
  } else {
  	echo "<td align='center' width='25%' class='".($_GET['pagenum'] == 1 ? "tbl1" : "tbl2")."'><span class='small'>\n";
  	echo $locale['MMTI_001']."</span></td>\n";
  }
  if ($isTeamMember)
  { 
    if ($_GET['pagenum']!=2) {
      echo "<td align='center' width='25%' class='".($_GET['pagenum'] == 2 ? "tbl1" : "tbl2")."'><span class='small'>\n";
      echo ($_GET['pagenum'] == 2 ? "<strong>".$locale['MMTI_118']."</strong>" : "<a href='".FUSION_SELF."?pagenum=2'>".$locale['MMTI_118']."</a>")."</span></td>\n";    
    } else {
    	echo "<td align='center' width='25%' class='".($_GET['pagenum'] == 2 ? "tbl1" : "tbl2")."'><span class='small'>\n";
    	echo $locale['MMTI_118']."</span></td>\n";
    }  
  }
    
  if((isset($_GET['pagenum']) && $_GET['pagenum'] == "1")) 
  {
    echo "</tr>\n<tr>\n<td colspan='2' class='tbl1'>\n";
    
    if($objTeam->teamAssigned()) {
      $team_id = $objTeam->getGroup_id();
      $cntActiveProfiles = $objMembers->countProfiles($team_id);
      $items_pp=$objSettings->getItems_pp();
      
      if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
      if ($cntActiveProfiles) {
        $qryMembers=$objMembers->qryActiveMembers($team_id,$_GET['rowstart'],$items_pp);
        while ($data = dbarray($qryMembers)) {
          $objMembers->loadMemberByID($data['user_id']);
          if($objMembers->getProfileStatus())
          {
            echo "<table cellpadding='0' cellspacing='1' width='90%' class='tbl-border center'>\n<tr>\n";
            echo "<td width='1%' class='tbl2' style='white-space:nowrap'><font size='2'><b><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>"."".$data['user_name']."</a></b></td>\n";
            echo "<td class='tbl2' align='right'>".$objMembers->getUserPM()."&nbsp;".$objMembers->getUserEmail($data['user_email'],$data['user_hide_email'])."&nbsp;".$objMembers->getUserWeb($data['user_web'])."</td>\n";
            echo "</tr>\n<tr>\n";
            echo "<td class='tbl1' width='5%' valign='top'>".$objMembers->getTm_image()."</td>\n";
            echo "<td class='tbl1' valign='top'>";
            echo "<fieldset><legend><strong>".$locale['MMTI_307'].$locale['MMTI_308']."</strong></legend>\n";
            echo "<table cellpadding='0' cellspacing='0' width='100%' border='0'>\n<tr>\n";
            echo "<td valign='top' width='60' style='position:relative;top:10px'>".$objMembers->getUserStatusImage($data['user_lastvisit'])."</td>";
            echo "<td valign='top' style='position:relative;top:10px'>".nl2br(parsesmileys(parseubb($objMembers->getTm_info())))."</td>";
            echo "</tr><tr><td colspan='2'>&nbsp;</td></tr></table>";          
            echo "</fieldset>\n";
            echo "<span class='small'>";
            
            if($objMembers->getGroupsByMemberID($data['user_id'])) {
               $display_rank = "<strong>".$locale['MMTI_313']."</strong>: ".getuserlevel($objMembers->getLevelByMemberID($data['user_id']))."<br />\n";
               $display_groups="";
         		$user_groups = (strpos($objMembers->getGroupsByMemberID($data['user_id']), ".") == 0 ? explode(".", substr($objMembers->getGroupsByMemberID($data['user_id']), 1)) : explode(".", $objMembers->getGroupsByMemberID($data['user_id'])));
         		for ($i = 0;$i < count($user_groups);$i++) {
                  $display_groups .= getgroupname($user_groups[$i]); 
         		 if ($i != (count($user_groups)-1)) { $display_groups.=", "; } else { $display_groups.="\n"; }
         		}      		   
      		   $display_groups = "<strong>".$locale['MMTI_312']."</strong>: ".$display_groups;
               echo $display_rank.$display_groups;                      
            }
            echo "</span><br />\n";                           
            echo "</td>\n";              
            echo "</tr>\n</table><br>\n";
          }        
      	}
      } else { echo "<tr>\n<td align='center' colspan='2' class='tbl1'>".$locale['MMTI_429']."</td>\n</tr>\n"; }
      if ($cntActiveProfiles > $items_pp) { echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($_GET['rowstart'],$items_pp,$cntActiveProfiles,3,FUSION_SELF."?")."\n</div>\n"; }  
    } else echo "<tr>\n<td align='center' colspan='2' class='tbl1'>".$locale['MMTI_429']."</td>\n</tr>\n";    
    
    echo "</td></tr>\n";
  } elseif((isset($_GET['pagenum']) && $_GET['pagenum'] == "2")) 
  {
    echo "</tr>\n<tr>\n<td colspan='2' class='tbl1'>\n";
    if ($isTeamMember)
    {
      require_once INCLUDES."bbcode_include.php";
      $objMembers->loadMemberByID($user_data['user_id']);  
      	echo "<form name='inputform' enctype='multipart/form-data' method='post' action='".FUSION_SELF."?pagenum=2&amp;id=".$user_data['user_id']."'>\n";
      	echo "<table cellpadding='0' cellspacing='1' width='400' class='tbl-border center'>\n<tr>\n";
      	echo "<td width='1%' class='tbl2' style='white-space:nowrap'><font size='2'><b>".$user_data['user_name']."</b></td>\n";
      	echo "<td class='tbl2' align='right'>&nbsp;</td>\n";
      	echo "</tr>\n<tr>\n";
        echo "<td class='tbl1' width='5%'>".$objMembers->getTm_image($edit=true)."</td>\n";
		    echo "<td class='tbl1' valign='top'>";
        if($objMembers->memberExists($user_data['user_id']))
        {		    
      		echo "<fieldset><legend><strong>".$locale['MMTI_307a'].$locale['MMTI_303']."</strong> ";
      		$del_image = "(<a href='".FUSION_SELF."?pagenum=2&amp;action=delimage' onclick='return delete_image();'>".$locale['MMTI_106']."</a>)";
          echo (!empty($objMembers->tm_image) ? $del_image : "")."</legend>";
          echo "<div style='text-align:right;'>\n<strong>";
          echo $locale['MMTI_203'].": ".$objMemberImage->getMax_size()."<br>".$locale['MMTI_206'].": ".$objMemberImage->getMax_width()."x".$objMemberImage->getMax_height()."</strong><br>";
          echo "<input type='file' class='textbox' name='tm_image' size='30'>";
          echo "</div></fieldset>\n";
        }
        echo "<fieldset><legend><strong>".$locale['MMTI_307'].$locale['MMTI_301']."</strong></legend><strong>\n";  	
        echo "<div style='text-align:right;'>".$objMembers->getTm_status()."</div>";
    		echo "</fieldset>\n";
        echo "<input type='hidden' name='tm_image_old' value='".$objMembers->tm_image."'>";
        echo "</td>\n";          
        echo "</tr>\n<tr>\n";
        echo "<td class='tbl2'colspan='2' align='center'><font size='2'><b>".$locale['MMTI_307'].$locale['MMTI_308']."</b></td>\n";
        echo "</tr>\n<tr>\n";      	
      	echo "<td align='center' class='tbl1' colspan='2'><textarea name='tm_info' cols='70' rows='7' class='textbox' style='width:98%'>".$objMembers->getTm_info()."</textarea><br />\n";
      	echo display_bbcodes("360px", "tm_info")."</td>\n";
        echo "</tr>\n<tr>\n";
        echo "<td colspan='2' class='tbl1' align='center'><input type='submit' name='save_profile' value='".$locale['MMTI_105']."' class='button'></td>";
    	  echo "</tr>\n</table>\n</form>\n"; 
    } else redirect(FUSION_SELF);
     
    echo "</td></tr>\n";
  }
  echo "</table>\n";
closetable();

if (isset($_POST['save_profile']) && $isTeamMember) 
{
  if($objMembers->memberExists($user_data['user_id']))
  {
    if(!empty($_FILES['tm_image']['name'])) 
    {
      $errLevel = $objMemberImage->upload($user_data['user_id'],$_FILES['tm_image'],$_POST['tm_image_old']);
        switch ($errLevel) {
          case 0:
              break;//redirect(FUSION_SELF."?pagenum=2&amp;status=mupd");break;
          case 1:
              redirect(FUSION_SELF."?pagenum=2&amp;status=iin");break;        
          case 2:
              redirect(FUSION_SELF."?pagenum=2&amp;status=ift");break;
          case 3:
              redirect(FUSION_SELF."?pagenum=2&amp;status=ife");break;
          case 4:
              redirect(FUSION_SELF."?pagenum=2&amp;status=ifs");break;
          case 5:
              redirect(FUSION_SELF."?pagenum=2&amp;status=iis");break;
          case 6:
              redirect(FUSION_SELF."?pagenum=2&amp;status=imc");break;
          case 7:
              redirect(FUSION_SELF."?pagenum=2&amp;status=mnupd");break;                                                                                
        }    
    }
    $tm_info = stripinput(censorwords($_POST['tm_info']));
      if($objMembers->updateMember($tm_info,$user_data['user_id'])){
        redirect(FUSION_SELF."?pagenum=2&amp;status=mupd");
      } else redirect(FUSION_SELF."?pagenum=2&amp;status=mnupd");  
  } else
  {
    $tm_info = stripinput(censorwords($_POST['tm_info']));
      if($objMembers->insertMember($tm_info,$user_data['user_id'])){
        redirect(FUSION_SELF."?pagenum=2&amp;status=mupd");
      } else redirect(FUSION_SELF."?pagenum=2&amp;status=mnupd"); 
  }           
}
elseif ((isset($_GET['action']) && $_GET['action'] == "delimage") && $isTeamMember) 
{
  if($objMemberImage->delete($user_data['user_id'],$objMembers->tm_image)){
    redirect(FUSION_SELF."?pagenum=2&amp;status=mupd");
  } else redirect(FUSION_SELF."?pagenum=2&amp;status=mnupd");  
}
elseif ((isset($_GET['action']) && $_GET['action'] == "activate") && $isTeamMember && $objMembers->tm_status !="2")
{
  if($objMembers->setMemberStatus(ST_ACTIVATE,$user_data['user_id'])){
    redirect(FUSION_SELF."?pagenum=2&amp;status=mact");
  } else redirect(FUSION_SELF."?pagenum=2&amp;status=mnact");  
}
elseif ((isset($_GET['action']) && $_GET['action'] == "deactivate") && $isTeamMember && $objMembers->tm_status !="2")
{
  if($objMembers->setMemberStatus(ST_DEACTIVATE,$user_data['user_id'])){
    redirect(FUSION_SELF."?pagenum=2&amp;status=mdea");
  } else redirect(FUSION_SELF."?pagenum=2&amp;status=mndea");
}

echo "<script type='text/javascript'>";
  echo "function delete_image() {";
    echo "return confirm('".$locale['MMTI_436']."');"; 
  echo "}";
  echo "function activate_memberinfo() {";
    echo "return confirm('".$locale['MMTI_432']."');";
  echo "}";
  echo "function deactivate_memberinfo() {";
    echo "return confirm('".$locale['MMTI_433']."');";
  echo "}";        
echo "</script>\n";
require_once THEMES."templates/footer.php";
?>