<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: MM Team Infusion
| Authors: Michel van Es (MvE Designs), MysticFire
| http://www.mvedesigns.eu (MvE Designs)
| http://www.codaddicts.com (MysticFire)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// Infusion Info
$locale['MMTI_title'] = "MM Team Infusion";
$locale['MMTI_desc'] = "Beheer profielen Team leden";
$locale['MMTI_version'] = "1.0.6";
$locale['MMTI_admin1'] = "Team Beheer";
$locale['MMTI_link1'] = "Team";

// Infusion (Admin) Captions
$locale['MMTI_001'] = "Team Leden";
$locale['MMTI_002'] = "Instellingen";
$locale['MMTI_003'] = "Er is een update van ".$locale['MMTI_title']." beschikbaar";
$locale['MMTI_004'] = " &#45; Toewijzen Gebruikersgroep ALS Team";
$locale['MMTI_005'] = " &#45; Aanmaken Gebruikersgroep ALS Team";
$locale['MMTI_006'] = " &#45; Team intrekken";
$locale['MMTI_007'] = " &#45; Bewerken Profiel Team lid";
$locale['MMTI_008'] = " &#45; Verwijder Team Lid";
// System Messages
$locale['MMTI_410'] = "Team toegewezen";
$locale['MMTI_411'] = "Team kon niet worden toegewezen als gevolg van een fout";
$locale['MMTI_412'] = "Team ingetrokken";
$locale['MMTI_413'] = "Team kon niet worden ingetrokken als gevolg van een fout";
$locale['MMTI_414'] = "Team aangemaakt";
$locale['MMTI_415'] = "Team kon niet worden aangemaakt als gevolg van een fout";
$locale['MMTI_416'] = "Team instellingen bijgewerkt";
$locale['MMTI_417'] = "Team instellingen konden niet worden bijgewerkt als gevolg van een fout";
$locale['MMTI_418'] = "Profiel bijgewerkt";
$locale['MMTI_419'] = "Profiel kon niet worden bijgewerkt als gevolg van een fout";
$locale['MMTI_420'] = "Profiel ingeschakeld";
$locale['MMTI_421'] = "Profiel kon niet worden ingeschakeld als gevolg van een fout";
$locale['MMTI_422'] = "Profiel geactiveerd";
$locale['MMTI_423'] = "Profiel kon niet worden geactiveerd als gevolg van een fout";
$locale['MMTI_424'] = "Profiel uitgeschakeld";
$locale['MMTI_425'] = "Profiel kon niet worden uitgeschakeld als gevolg van een fout";
$locale['MMTI_426'] = "Profiel gedeactiveerd";
$locale['MMTI_427'] = "Profiel kon niet worden gedeactiveerd als gevolg van een fout";
$locale['MMTI_428'] = "Profiel kan niet worden geactiveerd noch worden uitgeschakeld i.v.m. afwezigheid lid in mmti_users tabel. Gelieve op Opslaan te klikken om het lid aan tabel toe te voegen!";
$locale['MMTI_429'] = "Team bevat geen leden of nog geen team toegewezen";
$locale['MMTI_430'] = "Team echt intrekken, en alle team lid profielen verwijderen?";
$locale['MMTI_431'] = "Profiel echt inschakelen?";
$locale['MMTI_432'] = "Profiel echt activeren?";
$locale['MMTI_433'] = "Profiel echt deactiveren?";
$locale['MMTI_434'] = "Profiel echt uitschakelen?";
$locale['MMTI_435'] = "Uw profiel is uitgeschakeld, gelieve contact op te nemen met de beheerder";
$locale['MMTI_436'] = "Afbeelding echt verwijderen?";
$locale['MMTI_437'] = "Er was een probleem bij het verwijderen van de afbeelding";
$locale['MMTI_438'] = "<div style='text-align:left'>Profiel niet aanwezig.<br>Gelieve eerst het profiel op te slaan, alvorens de status kan worden gewijzigd of een afbeelding kan worden gepload.</div>";
// image upload - system messages
$locale['MMTI_450'] = "Ongeldige naam afbeelding";
$locale['MMTI_451'] = "Ongeldig bestandstype";
$locale['MMTI_452'] = "Ongeldig bestandsextensie";
$locale['MMTI_453'] = "Bestandsgrootte overschreden";
$locale['MMTI_454'] = "Grootte afbeelding overschreden";
$locale['MMTI_455'] = "Verdachte code aangetroffen in afbeelding";
$locale['MMTI_456'] = "Uw huidige versie is niet up to date!";
$locale['MMTI_457'] = "CHANGELOG";
$locale['MMTI_458'] = "Download hier v";

// Buttons/links
$locale['MMTI_100'] = "Toewijzen";
$locale['MMTI_101'] = "Aanmaken";
$locale['MMTI_102'] = "Intrekken";
$locale['MMTI_103'] = "Toevoegen";
$locale['MMTI_104'] = "Bewerken";
$locale['MMTI_105'] = "Opslaan";
$locale['MMTI_106'] = "Verwijderen";
$locale['MMTI_107'] = "Bijwerken";
$locale['MMTI_108'] = "Uitschakelen";
$locale['MMTI_109'] = "Inschakelen";
$locale['MMTI_110'] = "Ja";
$locale['MMTI_111'] = "Nee";
$locale['MMTI_112'] = "*Niet ingesteld*";
$locale['MMTI_113'] = "Actief";
$locale['MMTI_114'] = "Inactief";
$locale['MMTI_115'] = "Door beheerder uitgeschakeld";
$locale['MMTI_116'] = "Activeren";
$locale['MMTI_117'] = "Deactiveren";
$locale['MMTI_118'] = "Mijn Team Profiel";

// Settings
$locale['MMTI_200'] = "Team Naam";
$locale['MMTI_201'] = "Maximum Breedte Afbeelding";
$locale['MMTI_202'] = "Maximum Hoogte Afbeelding";
$locale['MMTI_203'] = "Maximum Bestandsgrootte(kb)";
$locale['MMTI_204'] = "Team Omschrijving";
$locale['MMTI_205'] = "Leden per pagina";
$locale['MMTI_206'] = "Maximum grootte afbeelding(WxH)";

//Members
$locale['MMTI_300'] = "Team Lid";
$locale['MMTI_301'] = "Profiel Status";
$locale['MMTI_302'] = "Opties";
$locale['MMTI_303'] = "Afbeelding";
$locale['MMTI_304'] = "Team Lid's Info";
$locale['MMTI_305'] = "Beheerder Opties";
$locale['MMTI_306'] = "Status";
$locale['MMTI_307'] = "Mijn ";
$locale['MMTI_307a'] = "Mijn "; // because of a grammatical issue with some languages
$locale['MMTI_308'] = "Info";
$locale['MMTI_309'] = "Email Adres";
$locale['MMTI_310'] = "Website";
$locale['MMTI_311'] = "Stuur priv bericht";
$locale['MMTI_312'] = "Gebruikersgroepen";
$locale['MMTI_313'] = "Rang";


?>